Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractVideoOutput

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractVideoOutput

All Implemented Interfaces:
  AbstractVideoOutputInterface, MediaNodeInterface, com.trolltech.qt.QtJambiInterface

    public final class AbstractVideoOutput

extends com.trolltech.qt.QtJambiObject
implements AbstractVideoOutputInterface, MediaNodeInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`protected` | `AbstractVideoOutput(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractVideoOutput(long ptr)` This method is internal to Qt Jambi.
`long` | `__qt_cast_to_MediaNode(long ptr)` This method is internal to Qt Jambi.
`static AbstractVideoOutput` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`java.util.List<Path>` | `inputPaths()` This method is internal to Qt Jambi.
`boolean` | `isValid()` This method is internal to Qt Jambi.
`java.util.List<Path>` | `outputPaths()` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractVideoOutput

    protected AbstractVideoOutput(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### inputPaths

    public final java.util.List<Path> inputPaths()

  This method is internal to Qt Jambi.

  Specified by:
    `inputPaths` in interface `AbstractVideoOutputInterface`
  Specified by:
    `inputPaths` in interface `MediaNodeInterface`

### isValid

    public final boolean isValid()

  This method is internal to Qt Jambi.

  Specified by:
    `isValid` in interface `AbstractVideoOutputInterface`
  Specified by:
    `isValid` in interface `MediaNodeInterface`

### outputPaths

    public final java.util.List<Path> outputPaths()

  This method is internal to Qt Jambi.

  Specified by:
    `outputPaths` in interface `AbstractVideoOutputInterface`
  Specified by:
    `outputPaths` in interface `MediaNodeInterface`

### fromNativePointer

    public static AbstractVideoOutput fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractVideoOutput

    public long __qt_cast_to_AbstractVideoOutput(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractVideoOutput` in interface `AbstractVideoOutputInterface`

### __qt_cast_to_MediaNode

    public long __qt_cast_to_MediaNode(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_MediaNode` in interface `MediaNodeInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD